package edu.unl.consystlab.GrapherDemos;

import edu.unl.consystlab.gui.Graphable;

public class MemoryGraphable implements Graphable
{

    public int getValue()
    {

        Runtime r = Runtime.getRuntime();
        long res = r.totalMemory() - r.freeMemory();
        // make sure it fits this methods return type
        int i = (int)(res/1024L);
        //System.out.println("it's " + i);        
        return i;
    }

}
